> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/apply-console-export.md).

# Apply Console Export

## POST /applyConsoleExport/{environmentId}

> Apply a console export to an environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/applyConsoleExport/{environmentId}":{"post":{"operationId":"applyExportFromId","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplyConsoleExportSpecificationModel"}}},"description":"The model to describe what console export to apply"},"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Apply a console export to an environment","tags":["apply-console-export"]}}},"components":{"schemas":{"ApplyConsoleExportSpecificationModel":{"type":"object","properties":{"consoleExportId":{"type":"string","format":"uuid"},"consoleExportVersion":{"type":"string"},"database":{"type":"string"},"dgcApplyConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CUSTOMIZATIONS","NO_INDEXING","CONFIGURATION"]},"uniqueItems":true},"key":{"type":"string"},"managedServiceTypes":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]},"uniqueItems":true},"repoApplyConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"resetCustomizations":{"type":"boolean"},"skipApplyConsoleExportPostprocessing":{"type":"boolean"}}}}}}
```

## PUT /applyConsoleExport/{environmentId}/cancel

> Cancel an apply console export operation in progress

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/applyConsoleExport/{environmentId}/cancel":{"put":{"operationId":"cancelApplyExport","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Cancel an apply console export operation in progress","tags":["apply-console-export"]}}}}
```

## POST /applyConsoleExport/{environmentId}/factoryDefaults

> Apply factory defaults to an environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/applyConsoleExport/{environmentId}/factoryDefaults":{"post":{"operationId":"restoreToFactoryDefaults","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Apply factory defaults to an environment","tags":["apply-console-export"]}}}}
```

## GET /applyConsoleExport/{environmentId}/state

> Retrieve the state of all steps of the apply console export operation on a specified environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/applyConsoleExport/{environmentId}/state":{"get":{"operationId":"stateMap","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{}},"description":"default response"}},"summary":"Retrieve the state of all steps of the apply console export operation on a specified environment","tags":["apply-console-export"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/apply-console-export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
